﻿using Avalonia.Controls;
using Microsoft.EntityFrameworkCore;
using ReactiveUI;
using scool.Models;
using scool.Views;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace scool.ViewModels
{
    public class DataTeachersViewModel : ViewModelBase
    {
        public List<Teacher> TeachersData => MainWindowViewModel.connect.Teachers.Include(x => x.IdGenderNavigation).
                                                                        Include(x => x.TeachersCourses).ThenInclude(x => x.IdCourseNavigation).
                                                                        Include(x => x.TeachersSubjects).ThenInclude(x => x.IdSubjectNavigation).ToList();

    }
}
